Box work and access
Configure box SSH key
Adds an OpenSSH public key to the running Box so the caller can SSH as user user.
POST
/
boxes
/
{boxId}
/
sshkey
Configure box SSH key
curl --request POST \
--url https://ascii.dev/api/box/v1/boxes/{boxId}/sshkey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>"
}
'import requests
url = "https://ascii.dev/api/box/v1/boxes/{boxId}/sshkey"
payload = { "key": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>'})
};
fetch('https://ascii.dev/api/box/v1/boxes/{boxId}/sshkey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "ssh_key.configured",
"success": true,
"machineIp": "203.0.113.10",
"sshUser": "user"
}{
"ok": false,
"type": "box.error",
"status": 400,
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"error": {
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"status": 400
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}{
"ok": true,
"type": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}{
"ok": true,
"type": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Path Parameters
Public Box id returned by create/list/get box calls.
Pattern:
^bx_[23456789abcdefghjkmnpqrstuvwxyz]{8}$Body
application/json
Public SSH key in OpenSSH format. Private keys are rejected.
Example:
"ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAA... user@host"
⌘I
Configure box SSH key
